Home > Configure Error > Configure Error Cannot Find Libpq-fe.h

Configure Error Cannot Find Libpq-fe.h

File libpq-fe.h not found. Reply Arun Lal says: September 27, 2014 at 2:35 pm Thanks for this feedback. Antonym for Nourish When does “haben” push “nicht” to the end of the sentence? Nov 3 '12 at 20:27 1 Thank you a lot, it worked for me :D –Blue Smith Aug 14 '13 at 10:10 10 On OSX you may also use his comment is here

Reading installed packages... sudo apt-get install postgis share|improve this answer edited Apr 25 '13 at 10:27 Aragon 18k34087 answered Apr 25 '13 at 9:40 Hendre 1 but where does that pull from? Since it was a large change, I've closed #73 and would suggest referencing this thread against #81. Sign up for free to join this conversation on GitHub. A guy scammed me, but he gave me a bank account number & routing number. http://stackoverflow.com/questions/6040583/cant-find-the-libpq-fe-h-header-when-trying-to-install-pg-gem

Check your SNMP installation. sudo apt-get install libpng12-dev configure: error: libXpm.(a|so) not found. GO OUT AND VOTE When does “haben” push “nicht” to the end of the sentence?

  1. Hiking Mallorca Mallorca: not only hot sun, warm sea, white-sand beaches, palm trees and sweaty German tourists.
  2. share|improve this answer edited Oct 21 at 17:09 Peter Mortensen 10.3k1370107 answered Jan 16 '12 at 23:34 Michael Durrant 46.8k46188299 3 Right, the Ruby pg gem wraps the usual PostgreSQL
  3. In one of comments there susan dot smith dot dev at gmail dot com suggested solution which works and does its magic: I solved replacing the outdated __GMP_BITS_PER_MP_LIMB defined constant with
  4. It came from the different versions of the packages that were installed through the different users on the machine.
  5. For detailed instructions of how I got things going (which may not be the easiest or best way to do things), start here: http://northwestspatial.com/wp/?p=328 share|improve this answer answered Apr 25 '13
  6. Backup and restore MySQL database table via commandline Managing comments on your WordPress site via PhpMyAdmin or SQL How to check the CMS version is up-to-date?

Hello Hadopi. 22 Aug '14 via Twitter I challenge you: try not to LOL (literally) at some of these: http://t.co/dtcPkbT2Oz 21 Aug '14 via Twitter Multiple 'Your access to ... You may need configuration options. Why is (a % 256) different than (a & 0xFF)? In other news Parc Zoologique de Thoiry No need to go to Africa or Asia for a great safari experience - just 50 km west of Paris is completely enough.

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Thanks! –Lucio Apr 27 '13 at 13:48 Sure. you must run this command while logged-in as the user who will be running the subsequent bundle command. http://stackoverflow.com/questions/9668753/rails-3-cant-install-pg-gem Reload to refresh your session.

Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. Results logged to /home/demonchand/.rvm/gems/ruby-1.9.2-p0/gems/pg-0.11.0/ext/gem_make.out How do I solve this problem? I'm somewhat surprised that clues from pkg-config don't seem to be consulted. > pkg-config libpq --cflags -I/usr/include/pgsql I don't see how to reopen this issue. Ask Ubuntu works best with JavaScript enabled Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox.

Really very helpful. Reverse a hexadecimal number in bash Why is looping over find's output bad practice? Why is this C++ code faster than my hand-written assembly for testing the Collatz conjecture? Provided configuration options: --with-opt-dir --without-opt-dir --with-opt-include --without-opt-include=${opt-dir}/include --with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog --without-make-prog --srcdir=. --curdir --ruby=/home/demonchand/.rvm/rubies/ruby-1.9.2-p0/bin/ruby --with-pg --without-pg --with-pg-dir --without-pg-dir --with-pg-include --without-pg-include=${pg-dir}/include --with-pg-lib --without-pg-lib=${pg-dir}/lib --with-pg-config --without-pg-config --with-pg_config --without-pg_config Gem files will remain installed

Very good article i can say .. this content more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Then I need to find out the pg-config path by sudo find / -name "pg_config", then do gem install pg -- --with-pg-config=/Library/PostgreSQL/9.4/bin/pg_config using the path I have just found out. –Yi Successfully installed pg-0.11.0 1 gem installed Installing ri documentation for pg-0.11.0...

I'll try to replicate this in CentOS. You may also have the file somewhere else depending on your system if you already have PostgreSQL installed. Default value for date field How much time would it take for a planet scale Miller-Urey experiment to generate intelligent life Is it anti-pattern if a class property creates and returns weblink Sorry for this text.

Installing the gem as below solved my problem gem install pg -- --with-pg-config=/usr/pgsql-x.x/bin/pg_config share|improve this answer answered Jan 21 '15 at 9:26 user2086641 1,52043159 add a comment| up vote 3 down You can read more about this on FastCGI site. How to grep two numbers from the same line at different places using bash?

ruby-on-rails osx postgresql-9.1 pg libpq share|improve this question edited Jun 28 '14 at 3:32 zishe 6,808103373 asked Mar 12 '12 at 14:17 user984621 12.4k42143261 2 how have you install postgres

Results logged to /var/lib/gems/1.8/gems/pg-0.14.1/ext/gem_make.out An error occurred while installing pg (0.14.1), and Bundler cannot continue. share|improve this answer answered Dec 20 '14 at 19:26 Arup Rakshit 1 add a comment| up vote 0 down vote For a working OSX solution see this guide http://krugerdavid.com/journal/how-to-install-xcode-homebrew-git-rvm-postgresql-ruby-1-9-3-on-snow-leopard/ It will Thank you. Required fields are marked *Comment Name * Email * Website Current [emailprotected] * Leave this field empty Follow: CategoriesCategories Select Category Administrative tools CloudLinux commands exim MySql Control panels cPanel Direct

If it exists, it will be in the include directory of your PostgreSQL install. $ locate libpq-fe.h /Library/PostgreSQL/9.1/include/libpq-fe.h The bin directory, which contains pg_config, will be in the same directory as Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Reload to refresh your session. check over here PostgreSQL's header and library files are (by default) installed here: /usr/include/pgsql/ /usr/lib64/pgsql/ ...

krlmlr closed this Nov 10, 2015 dckc commented Nov 19, 2015 I'm using SLES 11, and I get the same symptoms. Apache and FastCGI Next thing to do is to set up Apache to run PHP 5.2 using FastCGI. configure: error: Cannot find libpq-fe.h. Congrats!

Back to Top